<template>
	<view>
		<view class="main">
			<view class="main-body">
				<view class="body-container">
					<view class="container-block">
						<view class="">车牌号</view>
						<view class="">{{ yyDailyList.carNo || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">提煤单状态</view>
						<view class="">{{ coalStatus[yyDailyList.status] }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">入场时间</view>
						<view class="">{{ yyDailyList.inTime || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">皮重</view>
						<view class="">{{ yyDailyList.skin || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">毛重</view>
						<view class="">{{ yyDailyList.hair || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">净重</view>
						<view class="">{{ yyDailyList.clean || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">订单剩余量</view>
						<view class="">{{ yyDailyList.allowance || '' }}</view>
					</view>
				</view>
				<view class="body-container">
					<view class="container-block">
						<view class="">提煤单编号</view>
						<view class="">{{ yyDailyList.code || '' }}</view>
					</view>
				</view>
				<view class="body-container last">
					<view class="container-block">
						<view class="">订单编号</view>
						<view class="">{{ yyDailyList.orderCode || '' }}</view>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
import combinedTitle from '@/components/combined-title/combined-title.vue';

export default {
	components: {
		combinedTitle
	},
	onLoad(params) {
		this.orderPlanId = params.orderPlanId;
		this.index = params.index;
	},
	onShow() {
		this.GetOrderPlanDetail();
	},
	data() {
		return {
			orderPlanId: '',
			yyDailyList: {},
			orderPlanDetail: {},
			coalStatus: ['领取', '预约', '签到', '入场', '称皮', '称毛', '离场', '入磅房', '出磅房', '入煤场', '出煤仓'],
			index: ''
		};
	},
	methods: {
		GetOrderPlanDetail() {
			uni.showLoading({
				title: '加载中...'
			});
			this.$reqGet('xiangqingList', { orderPlanId: this.orderPlanId }).then(res => {
				if (res.code == 0) {
					this.orderPlanDetail = res.data;
					this.yyDailyList = res.data.yyDailyList.filter((v, i) => i == this.index)[0];
					console.log(this.yyDailyList);
					uni.hideLoading();
				} else {
					this.$u.toast('加载失败');
				}
			});
		}
	}
};
</script>

<style scoped lang="scss">
@mixin flex {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.main {
	width: 100%;
	margin-top: vww(10);
	@include flex justify-content: center;
	.main-body {
		width: 690rpx;
		height: 1062rpx;
		background: #ffffff;
		box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
		border-radius: 20rpx;
		@include flex flex-direction: column;
		align-items: flex-start;
		.body-container {
			width: 100%;
			height: vww(56);
			border-bottom: vww(1) solid #d6d6d6;
			@include flex;
			justify-content: center;
			.container-block {
				width: 96%;
				height: vww(56);
				@include flex;
			}
		}
		.last {
			border-bottom: none;
		}
	}
}
.uni-table {
	.uni-table-tr {
		padding: 0;
		border: vww(1) solid #c6c6c6;
		.uni-table-th {
			font-size: vww(14);
			height: vww(30);
			line-height: vww(30);
			padding: vww(5) vww(10);
			color: #111111;
			font-weight: 500;
			background: #e2e2e2;
		}
		.uni-table-td {
			font-size: vww(14);
			font-weight: 400;
			height: vww(30);
			line-height: vww(30);
			padding: vww(5) vww(10);
			color: #111111;
		}
	}
}
</style>
